Skip to main content
POST
https://api.aisa.one/apis/v1
/
dataforseo
/
backlinks
/
referring_domains
/
live
Referring Domains
curl --request POST \
  --url https://api.aisa.one/apis/v1/dataforseo/backlinks/referring_domains/live \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "target": "<string>",
  "limit": 123,
  "offset": 123,
  "internal_list_limit": 123,
  "backlinks_status_type": "<string>",
  "filters": [
    "<string>"
  ],
  "order_by": [
    "<string>"
  ],
  "backlinks_filters": [
    "<string>"
  ],
  "include_subdomains": true,
  "include_indirect_links": true,
  "exclude_internal_backlinks": true,
  "rank_scale": "<string>",
  "tag": "<string>"
}
'
{
  "version": "<string>",
  "status_code": 123,
  "status_message": "<string>",
  "time": "<string>",
  "cost": 123,
  "tasks_count": 123,
  "tasks_error": 123,
  "tasks": [
    "<string>"
  ],
  "tasks.id": "<string>",
  "tasks.status_code": 123,
  "tasks.status_message": "<string>",
  "tasks.time": "<string>",
  "tasks.cost": 123,
  "tasks.result_count": 123,
  "tasks.path": [
    "<string>"
  ],
  "tasks.data": {},
  "tasks.result": [
    "<string>"
  ],
  "tasks.result.target": "<string>",
  "tasks.result.total_count": 123,
  "tasks.result.items_count": 123,
  "tasks.result.items": [
    "<string>"
  ],
  "tasks.result.items.type": "<string>",
  "tasks.result.items.domain": "<string>",
  "tasks.result.items.rank": 123,
  "tasks.result.items.backlinks": 123,
  "tasks.result.items.first_seen": "<string>",
  "tasks.result.items.lost_date": "<string>",
  "tasks.result.items.backlinks_spam_score": 123,
  "tasks.result.items.broken_backlinks": 123,
  "tasks.result.items.broken_pages": 123,
  "tasks.result.items.referring_domains": 123,
  "tasks.result.items.referring_domains_nofollow": 123,
  "tasks.result.items.referring_main_domains": 123,
  "tasks.result.items.referring_main_domains_nofollow": 123,
  "tasks.result.items.referring ips": 123,
  "tasks.result.items.referring subnets": 123,
  "tasks.result.items.referring_pages": 123,
  "tasks.result.items.referring_links_tld": {},
  "tasks.result.items.referring_links_types": {},
  "tasks.result.items.referring_links_attributes": {},
  "tasks.result.items.referring_links_platform_types": {},
  "tasks.result.items.referring_links_semantic_locations": {},
  "tasks.result.items.referring_links_countries": {},
  "tasks.result.items.referring_pages_nofollow": 123
}

Documentation Index

Fetch the complete documentation index at: https://aisa.one/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
target
string
required

domain, subdomain or webpage to get referring domains for required field a domain or a subdomain should be specified without https:// and www. a page should be specified with absolute URL (including http:// or https://)

limit
integer

the maximum number of returned domains optional field default value: 100 maximum value: 1000

offset
integer

offset in the results array of returned domains optional field default value: 0 if you specify the 10 value, the first ten domains in the results array will be omitted and the data will be provided for the successive pages

internal_list_limit
integer

maximum number of elements within internal arrays optional field you can use this field to limit the number of elements within the following arrays: referring_links_tld referring_links_types referring_links_attributes referring_links_platform_types referring_links_semantic_locations default value: 10 maximum value: 1000

set what backlinks to return and count optional field you can use this field to choose what backlinks will be returned and used for aggregated metrics for your target; possible values: all – all backlinks will be returned and counted; live – backlinks found during the last check will be returned and counted; lost – lost backlinks will be returned and counted; default value: live

filters
string[]

array of results filtering parameters optional field you can add several filters at once (8 filters maximum) you should set a logical operator and, or between the conditions the following operators are supported: regex, not_regex, =, , in, not_in, like, not_like, match, not_match you can use the % operator with like and not_like to match any string of zero or more characters example: ["referring_pages",">","1"] [["referring_pages",">","2"], "and", ["backlinks",">","10"]] [["first_seen",">","2017-10-23 11:31:45 +00:00"], "and", [["domain","like","%dataforseo.com%"],"or",["referring_domains",">","10"]]] The full list of possible filters is available here.

order_by
string[]

results sorting rules optional field you can use the same values as in the filters array to sort the results possible sorting types: asc – results will be sorted in the ascending order desc – results will be sorted in the descending order you should use a comma to set up a sorting type example: ["backlinks,desc"] note that you can set no more than three sorting rules in a single request you should use a comma to separate several sorting rules example: ["backlinks,desc","rank,asc"]

filter the backlinks of your target optional field you can use this field to filter the initial backlinks that will be included in the dataset for aggregated metrics for your target you can filter the backlinks by all fields available in the response of this endpoint using this parameter, you can include only dofollow backlinks in the response and create a flexible backlinks dataset to calculate the metrics for example: "backlinks_filters": ["dofollow", "=", true]

include_subdomains
boolean

indicates if the subdomains of the target will be included in the search optional field if set to false, the subdomains will be ignored default value: true

indicates if indirect links to the target will be included in the results optional field if set to true, the results will include data on indirect links pointing to a page that either redirects to the target, or points to a canonical page if set to false, indirect links will be ignored default value: true

indicates whether the backlinks from subdomains of the target are excluded optional field if set to false, the backlinks from subdomains of the target will be ommited and you won’t receive the same domain in the response; default value: true

rank_scale
string

defines the scale used for calculating and displaying the rank, domain_from_rank, and page_from_rank values optional field you can use this parameter to choose whether rank values are presented on a 0–100 or 0–1000 scale possible values: one_hundred — rank values are displayed on a 0–100 scale one_thousand — rank values are displayed on a 0–1000 scale default value: one_thousand learn more about how this parameter works and how ranking metrics are calculated in this Help Center article

tag
string

user-defined task identifier optional field the character limit is 255 you can use this parameter to identify the task and match it with the result you will find the specified tag value in the data object of the response

Response

Successful response

version
string

the current version of the API

status_code
integer

general status code you can find the full list of the response codes here Note: we strongly recommend designing a necessary system for handling related exceptional or error conditions

status_message
string

general informational message you can find the full list of general informational messages here

time
string

execution time, seconds

cost
number

total tasks cost, USD

tasks_count
integer

the number of tasks in the tasks array

tasks_error
integer

the number of tasks in the tasks array returned with an error

tasks
string[]

array of tasks

tasks.id
string

task identifier unique task identifier in our system in the UUID format

tasks.status_code
integer

status code of the task generated by DataForSEO; can be within the following range: 10000-60000 you can find the full list of the response codes here

tasks.status_message
string

informational message of the task you can find the full list of general informational messages here

tasks.time
string

execution time, seconds

tasks.cost
number

cost of the task, USD

tasks.result_count
integer

number of elements in the result array

tasks.path
string[]

URL path

tasks.data
object

contains the same parameters that you specified in the POST request

tasks.result
string[]

array of results

tasks.result.target
string

target in a POST array

tasks.result.total_count
integer

total number of relevant items in the database total number of main domains referring to your target; example.com and blog.example.com are counted as one referring domain

tasks.result.items_count
integer

number of items in the items array

tasks.result.items
string[]

items array

tasks.result.items.type
string

type of element = ‘backlinks_referring_domain’

tasks.result.items.domain
string

referring domain

tasks.result.items.rank
integer

domain rank rank volume that a referring website passes to the target rank is calculated based on the method for node ranking in a linked database – a principle used in the original Google PageRank algorithm learn more about the metric and how it is calculated in this help center article

indicates the number of backlinks pointing to the target

tasks.result.items.first_seen
string

date and time when our crawler found the backlink for the first time in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00” example: 2019-11-15 12:57:46 +00:00

tasks.result.items.lost_date
string

date and time when the last backlink from this domain was lost indicates the date and time when our crawler visited the page and it responded with 4xx or 5xx status code or the last backlink was removed in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00” example: 2017-01-24 13:20:59 +00:00

average spam score of all backlinks pointing to the domain learn more about how the metric is calculated on this help center page

number of broken backlinks number of broken backlinks pointing to the domain

tasks.result.items.broken_pages
integer

number of broken pages number of pages that respond with 4xx or 5xx status codes where backlinks are pointing to

tasks.result.items.referring_domains
integer

indicates the number of referring domains note that we calculate main domains (root domains, like example.com) and their subdomains (e.g. blog.example.com) separately for this metric

tasks.result.items.referring_domains_nofollow
integer

number of domains pointing at least one nofollow link to the target

tasks.result.items.referring_main_domains
integer

indicates the number of referring main domains the number of primary (root) domains referring to your target

tasks.result.items.referring_main_domains_nofollow
integer

number of main domains pointing at least one nofollow link to the target

tasks.result.items.referring ips
integer

number of referring IP addresses number of IP addresses pointing to this page

tasks.result.items.referring subnets
integer

number of referring subnetworks

tasks.result.items.referring_pages
integer

indicates the number of pages pointing to the target specified

top-level domains of the referring links contains top level domains and referring link count per each

types of referring links indicates the types of the referring links and link count per each type possible values: anchor, image, link, meta, canonical, alternate, redirect

link attributes of the referring links indicates link attributes of the referring links and link count per each attribute

types of referring platforms indicates referring platform types and link count per each platform possible values: cms, blogs, ecommerce, message-boards, wikis, news, organization

semantic locations of the referring links indicates semantic elements in HTML where the referring links are located and the link count per each semantic location you can get the full list of semantic elements here examples: article, section, summary

ISO country codes of the referring links indicates ISO country codes of the domains where the referring links are located and the link count per each country

tasks.result.items.referring_pages_nofollow
integer

number of referring pages pointing at least one nofollow link to the target